GNU bug report logs - #28310
Grafting prevents build plan from being displayed upfront

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: important; Reported by: Andreas Enge <andreas@HIDDEN>; dated Thu, 31 Aug 2017 19:04:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 28310 <at> debbugs.gnu.org:


Received: (at 28310) by debbugs.gnu.org; 7 Sep 2017 13:24:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 07 09:24:20 2017
Received: from localhost ([127.0.0.1]:53983 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dpwn6-0005pB-DS
	for submit <at> debbugs.gnu.org; Thu, 07 Sep 2017 09:24:20 -0400
Received: from eggs.gnu.org ([208.118.235.92]:35687)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1dpwn5-0005ox-5k
 for 28310 <at> debbugs.gnu.org; Thu, 07 Sep 2017 09:24:19 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1dpwmq-0005GU-Df
 for 28310 <at> debbugs.gnu.org; Thu, 07 Sep 2017 09:24:14 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:55769)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1dpwmq-0005GK-AU; Thu, 07 Sep 2017 09:24:04 -0400
Received: from [193.50.110.57] (port=59236 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1dpwmp-00035D-UT; Thu, 07 Sep 2017 09:24:04 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Andreas Enge <andreas@HIDDEN>
Subject: Re: bug#28310: guix build -n misses package builds
References: <20170831190334.GA6673@jurong> <87a82exbj7.fsf@HIDDEN>
 <20170907124255.GA1405@jurong>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 21 Fructidor an 225 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-unknown-linux-gnu
Date: Thu, 07 Sep 2017 15:24:01 +0200
In-Reply-To: <20170907124255.GA1405@jurong> (Andreas Enge's message of "Thu, 7
 Sep 2017 14:42:55 +0200")
Message-ID: <87bmmmwsjy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28310
Cc: 28310 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Andreas Enge <andreas@HIDDEN> skribis:

> On Sat, Sep 02, 2017 at 01:08:12AM +0200, Ludovic Court=C3=A8s wrote:
>> =E2=80=9C-n=E2=80=9D now implies =E2=80=9C--no-grafts=E2=80=9D (commit
>> fd59105c49965db956fac73c68d8b00d068f5d5c).  This was motivated by the
>> need to have -n really perform a dry run.
>>=20
>> The downside is that with -n we now see only half of the build plan, and
>> when we remove -n, we start with the other half of the build plan,
>> grafting.
>>=20
>> The =E2=80=9Cbuild continuation=E2=80=9D idea of =E2=80=98wip-gexp-graft=
s=E2=80=99, discussed in
>> <https://bugs.gnu.org/22990>, could in theory help with that.
>
> Okay, so to simplify, I am closing this bug report.

I=E2=80=99ve reopened it (it=E2=80=99s a real problem after all) so we can =
keep track of
it, and feel the relief when we finally close it.  :-)

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#28310; Package guix. Full text available.
Severity set to 'important' from 'normal' Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 28310-done <at> debbugs.gnu.org:


Received: (at 28310-done) by debbugs.gnu.org; 7 Sep 2017 12:43:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 07 08:43:06 2017
Received: from localhost ([127.0.0.1]:53927 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dpw9C-0004ps-AC
	for submit <at> debbugs.gnu.org; Thu, 07 Sep 2017 08:43:06 -0400
Received: from mailrelay4-3.pub.mailoutpod1-cph3.one.com ([46.30.212.13]:36919)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreas@HIDDEN>) id 1dpw9A-0004pO-G2
 for 28310-done <at> debbugs.gnu.org; Thu, 07 Sep 2017 08:43:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=enge.fr; s=20140924;
 h=from:subject:date:message-id:to:cc:mime-version:content-type:
 content-transfer-encoding:in-reply-to:references;
 bh=HlH0QtpqGjSQYg8sTSCnNEZvO2efYb/xp9q6bj58Mj0=;
 b=DhGrukg0qJhN2BSMrQpE2rtRMol9imEbE3jk/bgXQJsFTF/eb1N0IIOXuNM6GaSWrjUUm5MyqoEWp
 R84PVgaoXBW/KtD9KMqNlyppp+Ucv9svQLlZrVFhLX1jXLmmqiHUV3L7S4NUdzdNi+G+iJ6J68Qhk6
 tk4By9afy7pC7Y70=
X-HalOne-Cookie: 4bd4c32462bdc046290b819aff90165081824b15
X-HalOne-ID: 12053d7f-93ca-11e7-8320-b82a72cffc46
Received: from jurong (unknown [80.12.58.117])
 by smtpfilter4.public.one.com (Halon) with ESMTPSA
 id 12053d7f-93ca-11e7-8320-b82a72cffc46;
 Thu, 07 Sep 2017 12:42:57 +0000 (UTC)
Date: Thu, 7 Sep 2017 14:42:55 +0200
From: Andreas Enge <andreas@HIDDEN>
To: Ludovic =?iso-8859-15?Q?Court=E8s?= <ludo@HIDDEN>
Subject: Re: bug#28310: guix build -n misses package builds
Message-ID: <20170907124255.GA1405@jurong>
References: <20170831190334.GA6673@jurong>
 <87a82exbj7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87a82exbj7.fsf@HIDDEN>
User-Agent: Mutt/1.8.3 (2017-05-23)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 28310-done
Cc: 28310-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

On Sat, Sep 02, 2017 at 01:08:12AM +0200, Ludovic Courtès wrote:
> “-n” now implies “--no-grafts” (commit
> fd59105c49965db956fac73c68d8b00d068f5d5c).  This was motivated by the
> need to have -n really perform a dry run.
> 
> The downside is that with -n we now see only half of the build plan, and
> when we remove -n, we start with the other half of the build plan,
> grafting.
> 
> The “build continuation” idea of ‘wip-gexp-grafts’, discussed in
> <https://bugs.gnu.org/22990>, could in theory help with that.

Okay, so to simplify, I am closing this bug report.

Andreas





Notification sent to Andreas Enge <andreas@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Andreas Enge <andreas@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 28310 <at> debbugs.gnu.org:


Received: (at 28310) by debbugs.gnu.org; 2 Sep 2017 20:13:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 02 16:13:46 2017
Received: from localhost ([127.0.0.1]:43994 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1doEna-0007QC-0S
	for submit <at> debbugs.gnu.org; Sat, 02 Sep 2017 16:13:46 -0400
Received: from eggs.gnu.org ([208.118.235.92]:48804)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1doEnY-0007Q0-Ry
 for 28310 <at> debbugs.gnu.org; Sat, 02 Sep 2017 16:13:45 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1doEnO-0006XD-Uu
 for 28310 <at> debbugs.gnu.org; Sat, 02 Sep 2017 16:13:39 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:56707)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1doEnO-0006X0-R9; Sat, 02 Sep 2017 16:13:34 -0400
Received: from [2a01:e0a:1d:7270:6a6c:dc17:fc02:cfda] (port=43606 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1doEnO-0001Qj-9K; Sat, 02 Sep 2017 16:13:34 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Andreas Enge <andreas@HIDDEN>
Subject: Re: bug#28310: guix build -n misses package builds
References: <20170831190334.GA6673@jurong> <87a82exbj7.fsf@HIDDEN>
 <20170902100400.GA1917@jurong>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 16 Fructidor an 225 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-unknown-linux-gnu
Date: Sat, 02 Sep 2017 22:13:32 +0200
In-Reply-To: <20170902100400.GA1917@jurong> (Andreas Enge's message of "Sat, 2
 Sep 2017 12:04:00 +0200")
Message-ID: <871snoyi37.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28310
Cc: 28310 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Hi,

Andreas Enge <andreas@HIDDEN> skribis:

> On Sat, Sep 02, 2017 at 01:08:12AM +0200, Ludovic Court=C3=A8s wrote:
>> =E2=80=9C-n=E2=80=9D now implies =E2=80=9C--no-grafts=E2=80=9D (commit
>> fd59105c49965db956fac73c68d8b00d068f5d5c).  This was motivated by the
>> need to have -n really perform a dry run.
>
> if I understand your answer correctly, then no output with "-n" means that
> the ungrafted packages are already available in my store.

Exactly.

>> The downside is that with -n we now see only half of the build plan, and
>> when we remove -n, we start with the other half of the build plan,
>> grafting.
>
> Then this other half would just be grafting, which would not require to
> download source and build packages locally.

Grafting usually means downloading/building the replacements first, and
finally performing the actual graft.

I agree it makes it harder to follow from a user viewpoint.

Cheers,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#28310; Package guix. Full text available.

Message received at 28310 <at> debbugs.gnu.org:


Received: (at 28310) by debbugs.gnu.org; 2 Sep 2017 10:04:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 02 06:04:11 2017
Received: from localhost ([127.0.0.1]:41453 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1do5He-0005Lv-VH
	for submit <at> debbugs.gnu.org; Sat, 02 Sep 2017 06:04:11 -0400
Received: from mailrelay1-3.pub.mailoutpod1-cph3.one.com ([46.30.212.10]:16669)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreas@HIDDEN>) id 1do5Hc-0005Ld-UV
 for 28310 <at> debbugs.gnu.org; Sat, 02 Sep 2017 06:04:09 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=enge.fr; s=20140924;
 h=from:subject:date:message-id:to:cc:mime-version:content-type:
 content-transfer-encoding:in-reply-to:references;
 bh=4L0goJDZCapYUcf3pgzEdKwZhTzuu4FKL+rSHaEBgtU=;
 b=RWpBPpK5k7HZNfm0cRYsXRy1pV/z+54fPnba70uQbDk+5COCD6vmycftJ99sfW7Zix35pUiR7B/x/
 3CIOQYvzzYdphcSkIqXZBu+9WrUK4IweeOJ9/exOgYbbw9facqfhNRghLg0KULzwZJZRmO7Jbymo9s
 k2iUeKbWhgNxofBY=
X-HalOne-Cookie: f407f0dc42bc031898d691b698582f5445ce07d8
X-HalOne-ID: 0af12eac-8fc6-11e7-a520-b8ca3afa9d73
Received: from jurong (unknown [87.231.32.14])
 by smtpfilter1.public.one.com (Halon) with ESMTPSA
 id 0af12eac-8fc6-11e7-a520-b8ca3afa9d73;
 Sat, 02 Sep 2017 10:04:02 +0000 (UTC)
Date: Sat, 2 Sep 2017 12:04:00 +0200
From: Andreas Enge <andreas@HIDDEN>
To: Ludovic =?iso-8859-15?Q?Court=E8s?= <ludo@HIDDEN>
Subject: Re: bug#28310: guix build -n misses package builds
Message-ID: <20170902100400.GA1917@jurong>
References: <20170831190334.GA6673@jurong>
 <87a82exbj7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87a82exbj7.fsf@HIDDEN>
User-Agent: Mutt/1.8.3 (2017-05-23)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 28310
Cc: 28310 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hello,

On Sat, Sep 02, 2017 at 01:08:12AM +0200, Ludovic Courtès wrote:
> “-n” now implies “--no-grafts” (commit
> fd59105c49965db956fac73c68d8b00d068f5d5c).  This was motivated by the
> need to have -n really perform a dry run.

if I understand your answer correctly, then no output with "-n" means that
the ungrafted packages are already available in my store.

> The downside is that with -n we now see only half of the build plan, and
> when we remove -n, we start with the other half of the build plan,
> grafting.

Then this other half would just be grafting, which would not require to
download source and build packages locally.

Or are the built packages the replacements for packages with security
updates, that are grafted upon the existing packages?

Andreas





Information forwarded to bug-guix@HIDDEN:
bug#28310; Package guix. Full text available.

Message received at 28310 <at> debbugs.gnu.org:


Received: (at 28310) by debbugs.gnu.org; 1 Sep 2017 23:08:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 01 19:08:22 2017
Received: from localhost ([127.0.0.1]:40783 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dnv30-0005AH-6K
	for submit <at> debbugs.gnu.org; Fri, 01 Sep 2017 19:08:22 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38773)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1dnv2y-0005A5-B0
 for 28310 <at> debbugs.gnu.org; Fri, 01 Sep 2017 19:08:20 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1dnv2r-0000Fw-W2
 for 28310 <at> debbugs.gnu.org; Fri, 01 Sep 2017 19:08:15 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:51157)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1dnv2r-0000Fm-Rt; Fri, 01 Sep 2017 19:08:13 -0400
Received: from [2a01:e0a:1d:7270:6a6c:dc17:fc02:cfda] (port=42384 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1dnv2r-0000WM-EF; Fri, 01 Sep 2017 19:08:13 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Andreas Enge <andreas@HIDDEN>
Subject: Re: bug#28310: guix build -n misses package builds
References: <20170831190334.GA6673@jurong>
Date: Sat, 02 Sep 2017 01:08:12 +0200
In-Reply-To: <20170831190334.GA6673@jurong> (Andreas Enge's message of "Thu,
 31 Aug 2017 21:03:34 +0200")
Message-ID: <87a82exbj7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28310
Cc: 28310 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Hello,

Andreas Enge <andreas@HIDDEN> skribis:

> I am right now in the process of updating pari-gp to version 2.9.3.
> After building it on a git check-out of three days ago, which went smooth=
ly,
> I rebased my patch on today's master and was pleased to see that no rebui=
ld
> was needed:
>
> $ ./pre-inst-env guix build pari-gp -n
> outputs nothing.
>
> However, once the -n dropped, the gd package gets built.
> And then it is starting ruby, which has no connection to pari-gp:
> Downloading https://mirror.hydra.gnu.org/guix/nar/229n3pzp5bdmbdvwslg0dxl=
iysas92k5-ruby-2.4.1.tar.xz...
>    ruby-2.4.1.tar.xz  9.5MiB                                             =
                                                          22KiB/s 00:06 [  =
                  ]   1.3%^

=E2=80=9C-n=E2=80=9D now implies =E2=80=9C--no-grafts=E2=80=9D (commit
fd59105c49965db956fac73c68d8b00d068f5d5c).  This was motivated by the
need to have -n really perform a dry run.

The downside is that with -n we now see only half of the build plan, and
when we remove -n, we start with the other half of the build plan,
grafting.

The =E2=80=9Cbuild continuation=E2=80=9D idea of =E2=80=98wip-gexp-grafts=
=E2=80=99, discussed in
<https://bugs.gnu.org/22990>, could in theory help with that.

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#28310; Package guix. Full text available.
Changed bug title to 'Grafting prevents build plan from being displayed upfront' from 'guix build -n misses package builds' Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 31 Aug 2017 19:03:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 31 15:03:55 2017
Received: from localhost ([127.0.0.1]:38010 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dnUks-0008BU-KB
	for submit <at> debbugs.gnu.org; Thu, 31 Aug 2017 15:03:54 -0400
Received: from eggs.gnu.org ([208.118.235.92]:34467)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreas@HIDDEN>) id 1dnUkq-0008BH-IW
 for submit <at> debbugs.gnu.org; Thu, 31 Aug 2017 15:03:52 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <andreas@HIDDEN>) id 1dnUkk-0001wf-LW
 for submit <at> debbugs.gnu.org; Thu, 31 Aug 2017 15:03:47 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:44930)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <andreas@HIDDEN>) id 1dnUkk-0001wX-Hj
 for submit <at> debbugs.gnu.org; Thu, 31 Aug 2017 15:03:46 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:53669)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <andreas@HIDDEN>) id 1dnUkj-0005fw-6a
 for bug-guix@HIDDEN; Thu, 31 Aug 2017 15:03:46 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <andreas@HIDDEN>) id 1dnUkf-0001uv-6p
 for bug-guix@HIDDEN; Thu, 31 Aug 2017 15:03:45 -0400
Received: from mailrelay3-3.pub.mailoutpod1-cph3.one.com ([46.30.212.12]:20703)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <andreas@HIDDEN>) id 1dnUke-0001u6-UK
 for bug-guix@HIDDEN; Thu, 31 Aug 2017 15:03:41 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=enge.fr; s=20140924;
 h=from:subject:date:message-id:to:mime-version:content-type;
 bh=mpQ3swU4xIzoh8WGEyB1CwtQCqxXkzZcwu2YjYk4xlQ=;
 b=huQisLTXobfrCVOmzuoqMFL+3ALYwTeMT667jLR3pye70GbdwMEYLgWcz7yg1FM/+wzHObHbDzp4W
 jQEzBqZObiP0sMXc5Df+5vQQK4m7yV/un8EFd3w5tyb2guJ/j6xX0KdC0kVSNKK2B+68dIm/C7Kav/
 OQgpEjL4l8VE/I44=
X-HalOne-Cookie: fd4da832414ed255efcd5855e88a8b98ad4cb274
X-HalOne-ID: 168e2c18-8e7f-11e7-9212-b82a72d06996
Received: from jurong (unknown [80.12.27.119])
 by smtpfilter3.public.one.com (Halon) with ESMTPSA
 id 168e2c18-8e7f-11e7-9212-b82a72d06996;
 Thu, 31 Aug 2017 19:03:36 +0000 (UTC)
Date: Thu, 31 Aug 2017 21:03:34 +0200
From: Andreas Enge <andreas@HIDDEN>
To: bug-guix@HIDDEN
Subject: guix build -n misses package builds
Message-ID: <20170831190334.GA6673@jurong>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.8.3 (2017-05-23)
X-detected-operating-system: by eggs.gnu.org: FreeBSD 9.x [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Hello,

I am right now in the process of updating pari-gp to version 2.9.3.
After building it on a git check-out of three days ago, which went smoothly,
I rebased my patch on today's master and was pleased to see that no rebuild
was needed:

$ ./pre-inst-env guix build pari-gp -n
outputs nothing.

However, once the -n dropped, the gd package gets built.
And then it is starting ruby, which has no connection to pari-gp:
Downloading https://mirror.hydra.gnu.org/guix/nar/229n3pzp5bdmbdvwslg0dxliysas92k5-ruby-2.4.1.tar.xz...
   ruby-2.4.1.tar.xz  9.5MiB                                                                                                       22KiB/s 00:06 [                    ]   1.3%^

Andreas





Acknowledgement sent to Andreas Enge <andreas@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#28310; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 7 Sep 2017 13:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.